## GtkOverlayLayout GtkOverlayLayout — Layout manager that places widgets as overlays |

## Functions

GtkLayoutManager * | gtk_overlay_layout_new ()
void | gtk_overlay_layout_child_set_measure ()
gboolean | gtk_overlay_layout_child_get_measure ()
void | gtk_overlay_layout_child_set_clip_overlay ()
gboolean | gtk_overlay_layout_child_get_clip_overlay ()

## Properties

gboolean | clip-overlay | Read / Write
gboolean | measure | Read / Write

## Types and Values

| GtkOverlayLayout
| GtkOverlayLayoutChild

## Object Hierarchy

        GObject
        ├── GtkLayoutChild
        │   ╰── GtkOverlayLayoutChild
        ╰── GtkLayoutManager
            ╰── GtkOverlayLayout

## Includes

    #include <gtk/gtk.h>

## Description

GtkOverlayLayout is the layout manager used by GtkOverlay. It places widgets as overlays on top of the main child.

This is not a reusable layout manager, since it expects its widget to be a GtkOverlay. It only listed here so that its layout properties get documented.

## Functions

### gtk_overlay_layout_new ()

    GtkLayoutManager *
    gtk_overlay_layout_new (void);

Creates a new GtkOverlayLayout instance.

#### Returns

the newly created instance

### gtk_overlay_layout_child_set_measure ()

    void
    gtk_overlay_layout_child_set_measure (GtkOverlayLayoutChild *child,
                                          gboolean measure);

Sets whether to measure this child.

#### Parameters

child | a GtkOverlayLayoutChild |
measure | whether to measure this child |

### gtk_overlay_layout_child_get_measure ()

    gboolean
    gtk_overlay_layout_child_get_measure (GtkOverlayLayoutChild *child);

Retrieves whether the child is measured.

#### Parameters

child | a GtkOverlayLayoutChild |

#### Returns

whether the child is measured

### gtk_overlay_layout_child_set_clip_overlay ()

    void
    gtk_overlay_layout_child_set_clip_overlay
                                   (GtkOverlayLayoutChild *child,
                                    gboolean clip_overlay);

Sets whether to clip this child.

#### Parameters

child | a GtkOverlayLayoutChild |
clip_overlay | whether to clip this child |

### gtk_overlay_layout_child_get_clip_overlay ()

    gboolean
    gtk_overlay_layout_child_get_clip_overlay
                                   (GtkOverlayLayoutChild *child);

Retrieves whether the child is clipped.

#### Parameters

child | a GtkOverlayLayoutChild |

#### Returns

whether the child is clipped

## Types and Values

### GtkOverlayLayout

    typedef struct _GtkOverlayLayout GtkOverlayLayout;

### GtkOverlayLayoutChild

    typedef struct _GtkOverlayLayoutChild GtkOverlayLayoutChild;

## Property Details

### The `“clip-overlay”` property

      “clip-overlay”             gboolean

Whether the child should be clipped to fit the parent's size.

Owner: GtkOverlayLayoutChild

Flags: Read / Write

Default value: FALSE

### The `“measure”` property

      “measure”                  gboolean

Whether the child size should contribute to the GtkOverlayLayout's measurement.

Owner: GtkOverlayLayoutChild

Flags: Read / Write

Default value: FALSE